Subject: Re: [bug#74570] [PATCH] gnu: xterm: Update to 395.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 09 Dec 2024 09:43:42 +0900

Hi,

kiasoc5 <[email-masked]> writes:

> On 12/7/24 09:17, Maxim Cournoyer wrote:
>> Hi Zheng,
>> Zheng Junjie <[email-masked]> writes:
>> 
>>> Now the xvfb-run test depends on xterm, so we can't simply update xterm,
>>> we might add a new xterm package and hide the original xterm for
>>> xvfb-run only.
>> Yes, we could rename the current 'xterm' variable to xterm/pinned,
>> make
>> it hidden, then proceed to add a new 'xterm' package which inherits from
>> it, at its latest version.
>> 
>
> I agree with making a separate xterm package for tests. Since naming
> is one of the hardest things in computer science, how about naming the
> pinned version 'xterm-for-tests' instead?

I don't have a strong preference, but note that in general I think
naming things based on what they *are*, rather than what they are *used*
for, is a better practice, as we can't reasonably foresee all future use
cases.

There is also a recent convention to use the '/pinned' suffix for
packages that shouldn't be updated often such as with our
git-minimal/pinned one [0]

[0]  https://issues.guix.gnu.org/61078

-- 
Thanks,
Maxim